from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

setup(
  name='GroupConnectivity',
  version='1.0',
  ext_modules = cythonize([
    Extension("groupConnectivity",
      sources = ["groupConnectivity.pyx"],
      language="c++",
      extra_compile_args=[
        "-std=gnu++11", "-O2", "-funroll-loops", "-fwrapv",
        "-Wall", "-fno-strict-aliasing"
      ]
    )
  ])
)

